Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228106 - p0f doesn't recognise IPv6 connections.
Summary: p0f doesn't recognise IPv6 connections.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: p0f
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2007-02-09 23:48 UTC by David Woodhouse
Modified: 2008-05-06 19:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:12:19 UTC


Attachments (Terms of Use)

Description David Woodhouse 2007-02-09 23:48:46 UTC
Run p0f on workstation.

Connect to workstation's SMTP port from some machine elsewhere... see no output
from p0f. Connect to workstation's IPv4 address by number instead of by name...
see p0f report the connection.

Comment 1 Kevin Fenzi 2007-02-11 16:55:22 UTC
How would you suggest this be fixed?

Upstream has no ipv6 support at all. I suppose I could ask them about it... 
I'm accepting patches if you can add ipv6 support... ;) 

Comment 2 David Woodhouse 2007-02-11 17:02:37 UTC
Personally, I feel that's the job of the Fedora maintainer of the package in
question.

Comment 3 Kevin Fenzi 2007-02-12 17:24:11 UTC
In reply to comment #2: 

To contact the maintainer? 
Surely. I have done so... will let you know what he says. 

To code enhancements to software that someone is simply packaging from upstream?
If time and interest permits, great, but I don't think it's a requirement that 
package maintainers do so.

Comment 4 David Woodhouse 2007-02-18 10:19:22 UTC
I meant the latter. Fedora is a fully IPv6-capable distribution, and it is the
responsibility of the package maintainer to ensure that packages meet the
standards we expect. I think the concept of 'simply packaging' should be
discouraged.

Comment 5 Bug Zapper 2008-04-04 06:10:41 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 6 Bug Zapper 2008-05-06 19:12:17 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.